# Printscan server
## Version 3.1

This repository contains files used to set up our printscan server.

### Introduction
(see wiki for need and concept explanation)

Version 3.1 implementation works roughly as follows
##### SBC
* the Armbian-based device is connected to local network, and an all-in-one printer is connected to it via USB
* SANE and CUPS services are installed and running on the device
* CUPS is configured to provide a remote printer to network
* SANE is configured to provide local scan
* [scanservjs](https://github.com/sbs20/scanservjs) runs on the SBC, providing a web interface for scan
  * if you need adjustments (as in https://github.com/sbs20/scanservjs/blob/master/docs/10-configuration.md), first do:
  * `sudo ln -s /usr/share/webapps/scanservjs /usr/lib/scanservjs`

### Files
Files in this repository cover only the server setup. SBC setup is now handled by `armbian-setup`
#### Installation
* `setup.sh` is a script automating the installation and configuration of required software
* `cupsd.conf` is the config file for CUPS, set by setup script
* `scanservjs.conf` is an Apache HTTP vhost file for scanservjs
* `printers.conf.pi2last` is the last known working CUPS printers configuration which allowed to share HP printer

### TODO
* Add a firewall rule to block access to port 8080
